Name:		mod_parp
Version:	0.12
Release:	1%{?dist}
Summary:	mod_parp is a HTTP request parameter parser module for the Apache web server.

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://sourceforge.net/projects/parp/
Source0:	http://sourceforge.net/projects/parp/files/parp/%{version}/%{name}-%{version}-src.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel
Requires:	httpd

%description
It processes the request message body as well as the query portion of the request URL. The module parsed this data and provides all parameter to other Apache modules by a table of name/value pairs.

%prep
%setup -q -n %{name}-%{version}

%build
cd apache2
%{_sbindir}/apxs -ca mod_parp.c

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m0755 apache2/.libs/mod_parp.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sysconfdir}/httpd/conf.d
%{_libdir}/httpd/modules

%changelog
* Tue Jun 19 2012 momo-i <webmaster@momo-i.org> - 0.12-1
- update to 0.12

* Mon Jun  6 2011 momo-i <webmaster@momo-i.org> - 0.9-1
- Initial rpm release.
